﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace XDGCellStylingOnFlagCase
{
    public class ViewModel
    {
        public ObservableCollection<SampleData> Data { get; set; }

        Random r = new Random();
        public ViewModel()
        {
            Data = new ObservableCollection<SampleData>();

            for (int i = 0; i < 10; i++)
            {
                if (i % 2 == 0)
                {
                    Data.Add(new SampleData()
                    {
                        ColumnA = "Label " + i.ToString(),
                        ColumnB = r.Next(1000),
                        ColumnC = DateTime.Today.AddDays(i),
                        Flag = true
                    });
                }
                else
                {
                    Data.Add(new SampleData()
                    {
                        ColumnA = "Label " + i.ToString(),
                        ColumnB = r.Next(1000),
                        ColumnC = DateTime.Today.AddDays(i),
                        Flag = false
                    });
                }
            }
        }
    }

    public class SampleData : INotifyPropertyChanged
    {
        public string ColumnA { get; set; }
        public int ColumnB { get; set; }
        public DateTime ColumnC { get; set; }

        private bool _f;
        public bool Flag
        {
            get { return _f; }
            set
            {
                if (_f != value)
                {
                    _f = value;
                    OnPropertyChanged("Flag");
                }
            }
        }

        public event PropertyChangedEventHandler PropertyChanged;
        protected virtual void OnPropertyChanged(string propertyName)
        {
            if (PropertyChanged != null)
            {
                PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
            }
        }
    }
}
